vos lock                   AFS Commands                vos lock


NAME

   vos lock -- lock a volume entry in the VLDB.


   vos lock  -id <volume name or ID>  [-cell <cell name>]
   [-noauth]
   [-localauth]  [-verbose]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos lo  -i <volume name or ID>  [-c <cell name>]  [-n]  [-l]
   [-v]  [-h]

DESCRIPTION

   Locks  the VLDB entry for the indicated volume, such that no
   one else can execute an operation that requires  writing  in
   that  entry.  Note that this blocks operations on all of the
   volume  associated  with  that  entry,  not  just  the   one
   specified as -id.

WARNING

   This command should not be used in normal circumstances.  It
   is useful if the system administrator  wishes  to  guarantee
   that  no  one  else manipulates the volume until the lock is
   released, and there is reason to believe that  locking  will
   not happen automatically.

ARGUMENTS

   -id             specifies   either   the  complete  name  or
                   volumeID number of a volume of  the  any  of
                   the three types.

   -cell           specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to  report  on  what  they are doing as they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.



EXAMPLE

   The following locks the VLDB entry for user.terry.

   % vos lo user.terry

PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList on -server.

MORE INFORMATION

   vos unlock vos unlockvldb
